Client Mods

From LimeTerracotta
Jump to: navigation, search

Installing Client Mods

Fabric Launcher

Used for 1.14+ clients

  1. Download the Fabric Installer Jar for [current version]
    • Click the button that says VANILLA
    • Choose the build you want (tested on 0.5.2.39 but the most recent should work)
    • Click Download Installer (Windows/.EXE) for windows; or Download Installer (Universal/.JAR) for Mac
  2. Download the Fabric API
  3. Download the desired mods
  4. Find the Fabric Installer jar file and double click it
    • select the version of minecraft you want to run and click INSTALL, this will create a new minecraft profile
  5. Copy your mods and the Fabric API to the following folder:
    Windows: %appdata%.minecraft/mods
    Linux: ~/.minecraft/mods
    MacOS: ~/Library/Application Support/minecraft/mods
  6. Open your minecraft launcher and run the FABRIC profile thats been created

NOTE: Mod files must be in the /mods/ folder to be read, not in any subfolder (i.e. split by versions). If you have mods from multiple versions/launchers you'll have to add/remove them as necessary to launch. You *can* put them into a subfolder and fabric will ignore them.

Forge

Forge is updated through 1.15.2

  1. Using a fresh profile, open Minecraft to the main menu. Then close minecraft.
  2. Download the Forge installer
  3. Locate the file in your downloads and run the installer (choose “install client” and hit OK)
  4. Run the Minecraft launcher
    • Choose the FORGE profile, and hit PLAY.
    • When you get to the main minecraft window you can close minecraft.
  5. Download your desired mods
  6. Open your "MODS" folder
    Windows: %appdata%.minecraft/mods
    Linux: ~/.minecraft/mods
    MacOS: ~/Library/Application Support/minecraft/mods
  7. If the installation process did not create a [version] folder in your mods folder, go ahead and make one now
  8. Drop all of the mod downloads to this [version] folder.
  9. Open MC and run your Forge profile
  10. Choose your server and enter the game

NOTE: Mod files should be in the /mods/[version] folder to be read. If you have mods for multiple versions simply create a version folder withing /mods/ and the launcher will keep them separate.

Forge & LiteLoader

Liteloader is not updated past 1.12.2

  1. Using a fresh 1.12.2 profile, open Minecraft to the main menu. Then close minecraft.
  2. Download the 1.12.2 Forge installer
  3. Locate the file in your downloads and run the installer (choose “install client” and hit OK)
  4. Run the Minecraft launcher
    • Choose the FORGE profile, and hit PLAY.
    • When you get to the main minecraft window you can close minecraft.
  5. Download the 1.12.2 Liteloader installer
  6. Locate the file in your downloads and run the installer
    • when it asks you which profile to install using the EXTEND FROM box choose 1.12.2-forge profile that was created (this will chain them together to allow both forge and liteloader mods) - then hit OK
  7. Run the Minecraft launcher
    • select the “Liteloader 1.12.2 with Forge 1.12.2” profile and hit PLAY.
    • When you get to the main minecraft window you can close minecraft.
  8. Download your desired mods
  9. Open your "MODS" folder
    Windows: %appdata%.minecraft/mods
    Linux: ~/.minecraft/mods
    MacOS: ~/Library/Application Support/minecraft/mods
  10. If the installation process did not create a 1.12.2 folder in your mods folder, go ahead and make one now
  11. Drop all of the mod downloads to this 1.12.2 folder.
  12. Open MC and run your Forge + Liteloader profile
    you can rename by clicking selecting the “Liteloader 1.11.2 and Forge 1.11.2” profile on the bottom left of your screen and hitting “Edit Profile” > enter a new name into the header > hit save
    You can delete any unneeded profiles from installation at this time as well (i.e. forge and any older versions you don’t need anymore) by clicking the Profile Editor at the top of the launcher, and right # clicking the profile you want to delete. You wont need the vanilla 1.11.2 profile or “forge” after the installation is complete.
  13. Choose your server and enter the game

NOTE: Mod files should be in the /mods/[version] folder to be read. If you have mods for multiple versions simply create a version folder withing /mods/ and the launcher will keep them separate.

Rift

Used for 1.13.2 clients

  1. Download the Rift Jar for 1.13.2
  2. Download the desired mods
  3. Find the Rift jar file and double click it, this will create a new minecraft profile
  4. Copy your mods to the following folder:
    Windows: %appdata%.minecraft/mods
    Linux: ~/.minecraft/mods
    MacOS: ~/Library/Application Support/minecraft/mods
  5. Open your minecraft launcher and run the 1.13.2 RIFT profile thats been created

NOTE: Mod files must be in the /mods/ folder to be read, not in any subfolder (i.e. split by versions). If you have mods from multiple versions/launchers you'll have to add/remove them as necessary to launch.

Links to Client Mods

Mod Description Category Launcher Version
Mod Menu Mod Menu for Fabric (required for Command Macros Mod) Utility Fabric 1.16.4
VoxelMap In-game player map Utility Fabric 1.16.4
Xaeros Minimap In-game player map (minimap) - works with Xaeros world map Utility Fabric 1.16.4
Xaeros Worldmap In-game player map (world map) - works with Xaeros minimap Utility Fabric 1.16.4
Euclid WorldEdit wireframe selections, LogBlock visualizer /e clear to wipe selections, or /euclid Moderation Fabric 1.16.4
Command Macros Command Macro Mod for automated commands. Utility Fabric 1.16.4
Easier Chests Inventory management Utility Fabric 1.16.4
hwyla "Here's what you're looking at" - displays the name of the block in your crosshair Utility Fabric 1.16.4
Durability Viewer Shows durability of inventory/armor Utility Fabric 1.16.4
Mouse Wheelie BETA Inventory management Utility Fabric 1.16.4
Tweakeroo BETA Automation / HUD information (X + C = Options) Utility Fabric 1.16.4
MiniHUD BETA HUD information (LEFT CONTROL + H + C = Options) Utility Fabric 1.16.4
Litematica BETA Schematic display (M + C = Options) Utility Fabric 1.16.4
MaLiLib BETA Required library for Tweakeroo, Litematica, MiniHUD, Item Scroller Utility Fabric 1.16.4
Optifine Graphics enhancement and optimization Utility Fabric 1.16.4
OptiFabric Required loader for Optifine Utility Fabric 1.16.4
Sodium Graphics enhancement and optimization Utility Fabric 1.16.3
Horse Stats Vanilla Shows horse stats Utility Fabric 1.16.3

Last checked 2020.11.27